### Method

# Clutter KeyframeTransition set

#### Declaration [src]

    void
    clutter_keyframe_transition_set (
      ClutterKeyframeTransition* transition,
      GType gtype,
      guint n_key_frames,
      ...
    )

#### Description [src]

Sets the key frames of the `transition`.

This variadic arguments function is a convenience for C developers; language bindings should use `clutter_keyframe_transition_set_key_frames()`, `clutter_keyframe_transition_set_modes()`, and `clutter_keyframe_transition_set_values()` instead.

This method is not directly available to language bindings.

#### Parameters

`gtype`

  Type: `GType`

  The type of the values to use for the key frames.

`n_key_frames`

  Type: `guint`

  The number of key frames between the initial and final values.

`...`

  Type: ``

  A list of tuples, containing the key frame index, the value at the key frame, and the animation mode.